Package org.jcsp.net.dynamic

# Class ChannelEndContructionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.jcsp.net.dynamic.ChannelEndContructionException

All Implemented Interfaces:
  `Serializable`

public class ChannelEndContructionException extends RuntimeException
Thrown when a reconnection mannager is unable to recreate the underlying channel.

Author:
  Quickstone Technologies Limited
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ChannelEndContructionException()`
Constructs a `ChannelEndConstructionException` without a detail message or cause.
`ChannelEndContructionException(String message)`
Constructs a `ChannelEndConstructionException` with a detail message.
`ChannelEndContructionException(String message, Throwable cause)`
Constructs a `ChannelEndContructionException` with a detail message and underlying cause.
`ChannelEndContructionException(Throwable cause)`
Constructs a `ChannelEndConstructionException` with a cause indicator.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChannelEndContructionException

public ChannelEndContructionException()
Constructs a `ChannelEndConstructionException` without a detail message or cause.

### ChannelEndContructionException

public ChannelEndContructionException(String message)
Constructs a `ChannelEndConstructionException` with a detail message.

Parameters:
  `message` - the detail message indicating why the exception was raised.

### ChannelEndContructionException

public ChannelEndContructionException(String message, Throwable cause)
Constructs a `ChannelEndContructionException` with a detail message and underlying cause.

Parameters:
  `message` - the detail message.
  `cause` - the exception that was caught while trying to perform the construction operation.

### ChannelEndContructionException

public ChannelEndContructionException(Throwable cause)
Constructs a `ChannelEndConstructionException` with a cause indicator.

Parameters:
  `cause` - the exception that was caught while trying to perform the construction operation.